/******************************************************************************\
*  
*  TECHNICKA UNIVERZITA V KOSICIACH
*  FAKULTA ELEKTROTECHNIKY A INFORMATIKY
*  KATEDRA ELEKTRONIKY A MULTIMEDIALNYCH TELEKOMUNIKACII
*  
*  MIKROPROCESOROVA TECHNIKA
*  (material pre vyuku predmetu)
*
*  Subor:   main.c
*  Verzia:  v1.00
*  Popis:   Program demonstruje pouzitie standardneho vstupu a vystupu procesora 
*           ColdFire v aplikacii "Kalkulacka"
*  MCU:     Freescale Coldfire MCF52233
*  HW:      M552233DEMO (Freescale & P&E-MICRO & Axiom Manufacturing)
*  Autor:   Michal Varchola
*  Revizia: 2007-11-25
*  Zmeny:   2007-11-25 (MV) -> vytvorenie suboru 
*
\******************************************************************************/

/* hlavickovy subor support_common.h obsahuje (okrem ineho):
   -> Deklaracie I/O registrov
   -> Definicie systemovych nastaveni (Frekvencia systemovej zbernice, 
                                       Baudrate UARTu)
   -> Deklaracie funkcii potrebnych pre inicialiaciu procesoru, PLL, UARTu... */
#include "support_common.h" /* include peripheral declarations and more */
/* hlavickovy subor support_common.h -> funkcie pre standardny vstup/vystup*/
#include <stdio.h>
int main(void)
{
  int a,b,c; // operand a,b a vysledok c
  char op;   // operacia
  
  // vystup textoveho retazca 
  printf
  ("This is a simple calculator to illustrate standard I/O of ColdFire\n\n\n");

  while(1){
    printf("enter integer operand a\n");  // vystup textoveho retazca 
    fflush(stdout);                       // vsetky znaky cez UART poslat von
    scanf("%d",&a);                       // NACITANIE OPERANDU a
    printf("a = %d\n",a);
    fflush(stdout);                       // vsetky znaky cez UART poslat von
     
    printf("enter integer operand b\n");  // vystup textoveho retazca 
    fflush(stdout);                       // vsetky znaky cez UART poslat von
    scanf("%d",&b);                       // NACITANIE OPERANDU b
    printf("b = %d\n",b);
    fflush(stdout);                       // vsetky znaky cez UART poslat von
     
    printf("enter operation: +,-,*,/\n"); // vystup textoveho retazca 
    fflush(stdout);                       // vsetky znaky cez UART poslat von
    do{                                   // opakuj
      op=(char)getchar();                 // NACITANIE MATEMATICKEJ OPERACIE                   
    } while( (op != '+')                  // kym nacitana operacia
          && (op != '-')                  // nebude z mnoziny (+,-,*,/)
          && (op != '*') 
          && (op != '/') );
       
    switch(op){                           // podla nacitanej operacie
      case '+': c = a+b; break;           // vykonat prislusny vypocet
      case '-': c = a-b; break;
      case '*': c = a*b; break;
      case '/': c = a/b; break;
    }
      
    printf
    ("%d %c %d = %d\n\n\n",a,op,b,c);     // VYSLEDOK NA STANDARDNY VYSTUP
    fflush(stdout);                       // vsetky znaky cez UART poslat von   
  }
} 
